Какой Версией Php Вы Пользуетесь?

Тема в разделе "Предложения и пожелания", создана пользователем FintMax, 20 май 2017.

?

Какой версией PHP вы пользуетесь ?

  1. PHP 5.3

    1 голосов
    1,5%
  2. PHP 5.4

    4 голосов
    5,9%
  3. PHP 5.5

    7 голосов
    10,3%
  4. PHP 5.6

    37 голосов
    54,4%
  5. PHP 7.X

    21 голосов
    30,9%
Можно выбрать сразу несколько вариантов.
  1. TopicStarter Overlay
    Offline

    FintMax Команда форума Модератор

    Сообщения:
    2.165
    Симпатии:
    10.023
    Репутация:
    10.193
    В связи с недавними событиями, по поводу продолжения слива наших релизов, распространение его + дошли и до продажи его на других варезах.
    Немного из истории:
    1. Мы пытались обойтись сначала без шифровки NulleD продуктов, как есть так и выкладывали (для ознакомления).

    Чуть позже....:

    2. Мы начали шифровать свои NulleD релизы, функцией Eval на что реагируют как сами авторы продуктов, что мол типа, вот мы можем: залить в них шелл, вирус ну и тд, вплодь до брутфорса (и выражаясь "не культурными словами" не используйте NulleD версии, а покупайте их у авторов)....

    С другой стороны мы сами понимаем что некоторые хостеры автоматически блокируют файлы где есть любое упоминание функции eval которой мы пользовались (для шифровки релизов - вставляя только наш коопирайт, и не более того).

    Я как и раньше уверяю всех что в наших NulleD версиях нет абсолютно ничего, кроме отключения проверки лицензии или её привязки к определённому домену.
    От себя лично мы вставляли только коопирайт и всё (без активной ссылки или чего то подобного) !!!


    Настала пора, помимо ужесточения правил по доступности наших NulleD версий.
    Перейти к проверенному варианту, многих авторов своих продуктов и начать шифровку IonCube.
    Глупо конечно звучит (шифруем NulleD версии самим IonСube - но ничего не поделать)...

    В 99% случаев = хостинг поддерживает Ioncube - очень редко где его нет, и то как правило только на бесплатных хостингах.

    Создаём опрос, какой версией PHP вы пользуетесь.

    Планируется с 21.05.2017 - шифровать все релизы LoweNet.Biz - защитой от IonCube.
    В последних релизах, всё же решили пока что, под PHP 5.Х

    UPDATE 29.09.2017
    Теперь все наши релизы будут дополнительно шифроваться для PHP 7.1.X

    UPDATE 09.03.2018
    Внимание !!!

    Отныне - все наши релизы шифруются по умолчанию для PHP 5.6-7.1

    Так же дополнительно в архиве с релизом присутствует уже папка для замены, кто использует уже PHP 7.2

    Как всегда - шифруем только то, - где наш коопирайт....

    Советуем всем хостерам - обновить Encoder до версии: 10.2.0
     
    Jambazeee и billiadom нравится это.
  2. Offline

    igor_sip

    Сообщения:
    379
    Симпатии:
    1.477
    Репутация:
    21
    2017-05-21_08-09-27.png
     
    admin и FintMax нравится это.
  3. Offline

    215151 Пользователь

    Сообщения:
    79
    Симпатии:
    290
    Репутация:
    1
    PHP 5.6, на 7 заводить пробовал тоже неплохо идёт конечно не всё)
     
    FintMax и admin нравится это.
  4. Offline

    Dark Angell Пользователь

    Сообщения:
    21
    Симпатии:
    11
    Репутация:
    0
    месяц как апнул на впс-ке 5.6,и то ради стабильности, до этого 5.4 гдет около 3 лет висела,не обновлял
     
    billiadom, Rick и admin нравится это.
  5. Offline

    nikolay1979 Пользователь

    Сообщения:
    28
    Симпатии:
    35
    Репутация:
    21
    я думаю 5,6 универсальный вариант...
     
    Rick и admin нравится это.
  6. Offline

    ВДС Пользователь

    Сообщения:
    11
    Симпатии:
    8
    Репутация:
    0
    перешёл на PHP 7 всё отлично!
     
    Rick и admin нравится это.
  7. Offline

    doggy00 Пользователь

    Сообщения:
    125
    Симпатии:
    380
    Репутация:
    38
    Под те сайты, которые я курирую сам, использую 7.1. Есть неудобства, конечно, с перепиской некоторых функций, циклов while, где по два default прописано, а в целом доволен. Сайты "бегают" быстро.
    А те сайты, с которыми работают клиенты, им рекомендую 5.6, чтобы не было лишней головной боли у клиентов.
     
    Rick и admin нравится это.
  8. Offline

    Hornet Пользователь

    Сообщения:
    123
    Симпатии:
    775
    Репутация:
    11
    У меня 70% - php 7.x + opcache
    30% - 5.6
     
    admin нравится это.
  9. TopicStarter Overlay
    Offline

    FintMax Команда форума Модератор

    Сообщения:
    2.165
    Симпатии:
    10.023
    Репутация:
    10.193
    Пока будем шифровать наши релизы PHP 5.Х - дабы не заставлять всех ставить PHP 5.6
     
    admin нравится это.
  10. Offline

    doggy00 Пользователь

    Сообщения:
    125
    Симпатии:
    380
    Репутация:
    38
    @FintMax, Спасибо большое, а то у клиентов стоит даже 5.4 и с кэшем, на reg.ru, тоже только 5.4
     
    admin нравится это.
  11. Offline

    assche Пользователь

    Сообщения:
    103
    Симпатии:
    229
    Репутация:
    0
    Получается эти nulled можно только на 1 домене использовать?
     
  12. TopicStarter Overlay
    Offline

    FintMax Команда форума Модератор

    Сообщения:
    2.165
    Симпатии:
    10.023
    Репутация:
    10.193
    нет не верно....
    мы шифруем только наш коопирайт - у нас нету ни какой привязки к домену или чего то подобного.....
    использовать можно хоть на 50 доменах - если вы столько обслуживаете.... :biggrin:
     
  13. Offline

    Nikitoss Пользователь

    Сообщения:
    20
    Симпатии:
    91
    Репутация:
    1
    Понимаю и принимаю вашу работу, админу написал письмо с предложением.
    У меня предложение следующее:
    Не знаю, как происходит кодировка, но не проще будет сделать, как сделали ребята из OpencartLabs ?
    То есть, под каждую версию PHP, свой дистрибутив?
    Так же, предлагаю сделать за допплату убрать/изменить копирайт
     
  14. TopicStarter Overlay
    Offline

    FintMax Команда форума Модератор

    Сообщения:
    2.165
    Симпатии:
    10.023
    Репутация:
    10.193
    Мы пока решили идти от малого, шифровать только под все версии 5х
    если будет норм - и не будут продавать наши релизы и распространять = так и оставим....
    Если же ситуация изменится, то будет - как вы и предлагаете шифровать под каждую версию дистрибутив.....

    Боюсь что = найдётся человек который и будет распространять и продавать другим наш готовый релиз без коопирайта.....
    Мы не ставим перед собой задачи, чтобы наши релизы распространяли на других варезах, и этому есть свои причины....
     
    admin нравится это.
  15. Offline

    Nikitoss Пользователь

    Сообщения:
    20
    Симпатии:
    91
    Репутация:
    1
    Согласен, но бывает делаешь кому нибудь магазин, а в модуле, которым будет часто пользоваться заказчик стоит данный копирайт. И у него возникает дикое желание проверить, лицензия ли у него стоит, долбя при этом в почту разработчика.
    Предлагаю рассмотреть и такой вариант)
     
    vlad1995 нравится это.
  16. Offline

    vlad1995 Пользователь

    Сообщения:
    30
    Симпатии:
    2
    Репутация:
    0
    Поддерживаю!
     
  17. Offline

    admin Команда форума Администратор

    Сообщения:
    2.674
    Симпатии:
    121.655
    Репутация:
    215
    Добрый день. В основном наши релизы используют те кто только начинает или только чтоб проверить как работает на собственном магазине. После этого компания или тот кто уже накопил приобретают лицензию у автора. Наш проект создан для людей у которых нет много средств чтобы создать качественный интернет магазин.
     
    lazzzko и vlad1995 нравится это.
  18. Offline

    renep1945 Пользователь

    Сообщения:
    8
    Симпатии:
    5
    Репутация:
    0
    PHP 5.6:bow:
     
    FintMax нравится это.
  19. TopicStarter Overlay
    Offline

    FintMax Команда форума Модератор

    Сообщения:
    2.165
    Симпатии:
    10.023
    Репутация:
    10.193
    Обращаем ваше внимание с 28.09.2017 изменяется шифровка, как это было выше предложено: http://lowenet.biz/posts/21262/
    Теперь будет в дистрибутивах подписано под какую пхп использовать....
    Причина: Продолжается сливание наших релизов....
     
    and-rost нравится это.
  20. Offline

    and-rost Пользователь

    Сообщения:
    209
    Симпатии:
    87
    Репутация:
    1
    Поддерживаю,
    Не хорошо перезаливать на платные ресурсы материалы из складчин.